Debian Bug report logs - #166232
ilisp: Ilisp sends font information when evaluating

version graph

Package: ilisp; Maintainer for ilisp is Barak A. Pearlmutter <bap@debian.org>; Source for ilisp is src:ilisp.

Reported by: Frédéric Dumont <frederic.dumont@easynet.be>

Date: Thu, 24 Oct 2002 20:18:04 UTC

Severity: important

Tags: experimental, upstream

Found in version 5.12.0+cvs.2002.09.27

Fixed in version ilisp/5.12.0+cvs.2002.10.25

Done: kmr@debian.org (Kevin M. Rosenberg)

Bug is archived. No further changes may be made.

Forwarded to 166232-forwarded@bugs.debian.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org:
Bug#166232; Package ilisp. Full text and rfc822 format available.

Acknowledgement sent to Frédéric Dumont <frederic.dumont@easynet.be>:
New Bug report received and forwarded. Copy sent to kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric Dumont <frederic.dumont@easynet.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ilisp: Ilisp sends font information when evaluating
Date: Thu, 24 Oct 2002 22:02:51 +0200
Package: ilisp
Version: 5.12.0+cvs.2002.09.27
Severity: important
Tags: experimental

When I try to evaluate a form in an file buffer for both cmucl and
clisp, I get an error.  Evaluating directly from the listener window
works fine.  I have (global-font-lock-mode) at the top of my .emacs.

clisp gives:
*** - EVAL/APPLY: too many arguments given to ILISP:ILISP-EVAL

cmucl backtrace (between =3D=3D=3D=3D):
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
Error in function C::%VERIFY-ARGUMENT-COUNT:
   Wrong argument count, wanted 3 and got 5.

Restarts:
   0: [ABORT] Return to Top-Level.

Debug  (type H for help)

(C::%VERIFY-ARGUMENT-COUNT 5 3)
Source: (ERROR "Wrong argument count, wanted ~D and got ~D."
	    DEFINED-ARGS
			   SUPPLIED-ARGS)
0] backtrace
0: (C::%VERIFY-ARGUMENT-COUNT 5 3)
1: (ILISP:ILISP-EVAL 5
                     "("
                     FOO
                     " 0 1 (fontified t) 1 6 (face font-lock-keyword-face f=
ontified t) 6 7 (fontified t) 7 10 (face font-lock-funct\ion-name-face font=
ified t) 10 14 (fontified t) 14 23 (fontified t) 23 28 (face font-lock-stri=
ng-face fontified t) 28 30 (fontified \t)")[:EXTERNAL]
2: (INTERACTIVE-EVAL
    (PROGN
     (ILISP:ILISP-SAVE)
     (ILISP:ILISP-EVAL "("
                       #
                       " 0 1 (fontified t) 1 6 (face font-lock-keyword-face=
 fontified t) 6 7 (fontified t) 7 10 (face font-lock-fun\ction-name-face fo=
ntified t) 10 14 (fontified t) 14 23 (fontified t) 23 28 (face font-lock-st=
ring-face fontified t) 28 30 (fontifie\d t)" "COMMON-LISP-USER" ...)))
3: (COMMON-LISP::%TOP-LEVEL)
4: (COMMON-LISP::RESTART-LISP)

0]
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

It will happen once the font-lock-mode has been set for the current
buffer, even if removed afterwards.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux moria 2.4.17 #3 dim jan 27 23:27:28 CET 2002 i686
Locale: LANG=3Dfr_BE, LC_CTYPE=3Dfr_BE (ignored: LC_ALL set)

Versions of packages ilisp depends on:
ii  emacsen-common                1.4.15     Common facilities for all emac=
sen.

-- no debconf information




Tags added: upstream Request was from "Kevin M. Rosenberg" <kevin@tiger.med-info.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Kevin M. Rosenberg" <kevin@tiger.med-info.com>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #10 received at 166232-forwarded@bugs.debian.org (full text, mbox):

From: "Kevin M. Rosenberg" <kevin@tiger.med-info.com>
To: 166232-forwarded@bugs.debian.org
Date: Thu, 24 Oct 2002 16:01:50 -0600
Forwarded to upstream author



Information forwarded to debian-bugs-dist@lists.debian.org, kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org:
Bug#166232; Package ilisp. Full text and rfc822 format available.

Acknowledgement sent to Kevin Rosenberg <kevin@rosenberg.net>:
Extra info received and forwarded to list. Copy sent to kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 166232@bugs.debian.org (full text, mbox):

From: Kevin Rosenberg <kevin@rosenberg.net>
To: ilisp-devel@lists.sourceforge.net
Cc: 166232@bugs.debian.org
Subject: Error sending form from buffer to ILISP-EVAL
Date: Thu, 24 Oct 2002 20:20:31 -0600
This refers to the Debian bug report on http://bugs.debian.org/166232.

Using emacs21 (but not with xemacs21), I can reproduce this error
testing with clisp and cmucl. I get this error on ILISP 5.12.0 and the
current CVS code. 

To duplicated, start emacs21 and set global-font-lock-mode to T.
Start clisp-hs and eval
  (trace ilisp:ilisp-eval)

Then, go to a scratch buffer and add the form 
  (defvar a) 

Place the cursor at the beginning of the form and M-x
eval-next-sexp-and-go-lisp.

I get the below trace output. It appears that ilisp is sending ilisp-eval
bad data to evaluation.

Does any one have an idea how this can be fixed?

Thanks

Kevin



* ;;;Evaluate (defvar a)
Invalid number of arguments: 5

Restarts:
  0: [ABORT] Return to Top-Level.

  Debug  (type H for help)

  (ILISP:ILISP-EVAL 5
    "(let ((form '("
    A
    " 0 1 (lazy-lock t fontified t) 1 5 (face font-lock-keyword-face
lazy-lock t fontified t) 5 7 (lazy-lock t face font-lock-keyword-face
fontified t) 7 8 (lazy-lock t fontified t) 8 9 (lazy-lock t face
 font-lock-variable-name-face fontified t) 9 10 (lazy-lock t
 fontified t))) (progn (makunbound (second form)) (eval form)))")[:EXTERNAL]

-- 
       Kevin Rosenberg        |  .''`.  ** Debian GNU/Linux **
  http://b9.com/debian.html   | : :' :      The  universal
  GPG signed and encrypted    | `. `'      Operating System
     messages accepted.       |   `-    http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org:
Bug#166232; Package ilisp. Full text and rfc822 format available.

Acknowledgement sent to Kevin Rosenberg <kevin@rosenberg.net>:
Extra info received and forwarded to list. Copy sent to kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 166232@bugs.debian.org (full text, mbox):

From: Kevin Rosenberg <kevin@rosenberg.net>
To: ilisp-devel@lists.sourceforge.net
Cc: 166232@bugs.debian.org
Subject: Re: [Ilisp-devel] Error sending form from buffer to ILISP-EVAL
Date: Thu, 24 Oct 2002 20:40:09 -0600
Kevin Rosenberg wrote:
> This refers to the Debian bug report on http://bugs.debian.org/166232.

Look at the ilisp code, the problem appears to the the
buffer-substring command in the function ILISP-SEND-REGION in the file
ilisp-hi.el.

In an emacs buffer with font-locking on I have the form
(defvar a) as the first 10 characters.

Then, evaluating (buffer-substring 1 10), I get 

#("(defvar a" 0 1 (lazy-lock t fontified t) 1 7 (face
font-lock-keyword-face lazy-lock t fontified t) 7 8
(lazy-lock t fontified t) 8 9 (face 
font-lock-variable-name-face lazy-lock t fontified t))

So, it appears that a different function that BUFFER-SUBSTRING is
needed with emacs21 and font-locking.

Anyone have any suggestions?

-- 
       Kevin Rosenberg        |  .''`.  ** Debian GNU/Linux **
  http://b9.com/debian.html   | : :' :      The  universal
  GPG signed and encrypted    | `. `'      Operating System
     messages accepted.       |   `-    http://www.debian.org/





Information forwarded to debian-bugs-dist@lists.debian.org, kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org:
Bug#166232; Package ilisp. Full text and rfc822 format available.

Acknowledgement sent to Kevin Rosenberg <kevin@rosenberg.net>:
Extra info received and forwarded to list. Copy sent to kmr@debian.org (Kevin M. Rosenberg), ilisp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 166232@bugs.debian.org (full text, mbox):

From: Kevin Rosenberg <kevin@rosenberg.net>
To: ilisp-devel@lists.sourceforge.net, 166232@bugs.debian.org
Subject: Change buffer-substring to buffer-substring-no-properties?
Date: Thu, 24 Oct 2002 21:21:49 -0600
I think I found how to fix ilisp to work with emacs 21.2, but I want
to make sure that I'm not going to break an old version of xemacs or
emacs with the change.

A news group article about the issue with emacs 21.2 is cached with
google as:

http://groups.google.com/groups?q=emacs+buffer-substring+font&hl=en&lr=&ie=UTF-8&selm=mksnbgobfn.fsf%40news.franz.com&rnum=1

I have tested changing all buffer-substring calls to
buffer-substring-no-properties calls (except in comint-v18.el). This
appears to work fine in brief testing with emacs 20 & 21.2 and xemacs
21.

Is anyone familiar with this issue? Is there any reason why I should
should not commit this change to the CVS tree?

Thanks!

-- 
       Kevin Rosenberg        |  .''`.  ** Debian GNU/Linux **
  http://b9.com/debian.html   | : :' :      The  universal
  GPG signed and encrypted    | `. `'      Operating System
     messages accepted.       |   `-    http://www.debian.org/



Reply sent to kmr@debian.org (Kevin M. Rosenberg):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frédéric Dumont <frederic.dumont@easynet.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 166232-close@bugs.debian.org (full text, mbox):

From: kmr@debian.org (Kevin M. Rosenberg)
To: 166232-close@bugs.debian.org
Subject: Bug#166232: fixed in ilisp 5.12.0+cvs.2002.10.25
Date: Fri, 25 Oct 2002 02:32:08 -0400
We believe that the bug you reported is fixed in the latest version of
ilisp, which is due to be installed in the Debian FTP archive:

ilisp-doc_5.12.0+cvs.2002.10.25_all.deb
  to pool/non-free/i/ilisp/ilisp-doc_5.12.0+cvs.2002.10.25_all.deb
ilisp_5.12.0+cvs.2002.10.25.dsc
  to pool/non-free/i/ilisp/ilisp_5.12.0+cvs.2002.10.25.dsc
ilisp_5.12.0+cvs.2002.10.25.tar.gz
  to pool/non-free/i/ilisp/ilisp_5.12.0+cvs.2002.10.25.tar.gz
ilisp_5.12.0+cvs.2002.10.25_all.deb
  to pool/non-free/i/ilisp/ilisp_5.12.0+cvs.2002.10.25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 166232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kevin M. Rosenberg <kmr@debian.org> (supplier of updated ilisp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 24 Oct 2002 20:51:16 -0600
Source: ilisp
Binary: ilisp-doc ilisp
Architecture: source all
Version: 5.12.0+cvs.2002.10.25
Distribution: unstable
Urgency: low
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Changed-By: Kevin M. Rosenberg <kmr@debian.org>
Description: 
 ilisp      - Package for interacting with LISPs using EMACSes
 ilisp-doc  - Documentation for ILISP package.
Closes: 166232
Changes: 
 ilisp (5.12.0+cvs.2002.10.25) unstable; urgency=low
 .
   * change buffer-substring to buffer-substring-no-properties
   (closes: 166232)
   * Make FSF-compliant keybindings user selectable
Files: 
 c274173509eb737266bd41fbdf290f4f 580 non-free/devel optional ilisp_5.12.0+cvs.2002.10.25.dsc
 edef26453329412146c47061f8265da4 259591 non-free/devel optional ilisp_5.12.0+cvs.2002.10.25.tar.gz
 0dd95c83e16fb4b3545720059715cc7e 234372 non-free/devel optional ilisp_5.12.0+cvs.2002.10.25_all.deb
 dc2d30d59c60bd82071f065e8115504e 224216 non-free/devel optional ilisp-doc_5.12.0+cvs.2002.10.25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)

iD8DBQE9uOLyES7N8sSjgj4RAr75AJoCVb4r1cdCxNfqvzum0tbVP5CtxgCcDhxu
KVXVfGU/0leqoPq7XWhsb4s=
=VJqm
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:00:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.